#!/bin/sh

# Copy configuration to proper place
cp "/config/local.py" "/usr/src/app/davinci/local.py"
cp "/config/credentials.json" "/usr/src/app/credentials.json"

# Make sure staticfiles are collected into the static volume
python3 manage.py collectstatic --noinput

# Make sure database is migrated
python3 manage.py migrate

# Start django server (ASGI)
daphne -b 0.0.0.0 -p 8080 davinci.asgi:application
